Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Class ScatterboxDNDObject

    java.lang.Object
      edu.stanford.smi.protegex.widget.scatterbox.ScatterboxDNDObject

Direct Known Subclasses:
  ScatterboxTableDragGestureListener, ScatterboxTableDragSourceListener, ScatterboxTableDropTargetListener

    public class ScatterboxDNDObject

extends Object

Description of the class

Author:
  William Grosso

Field Summary
`protected Cls` | `_entryCls`
`protected DataFlavor` | `_flavor`
`protected KBQueryUtils` | `_queryUtilsObject`
`protected ScatterboxTable` | `_underlyingTable`
`protected ScatterboxWidget` | `_widget`

Constructor Summary
`ScatterboxDNDObject(ScatterboxWidget widget, ScatterboxTable underlyingTable, KBQueryUtils queryUtilsObject)`

Method Summary
`protected Point` | `getTableLocationForEvent(DragGestureEvent dragGestureEvent)`
`protected void` | `putEntryAtPoint(Instance entry, Point tableLocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _widget

    protected ScatterboxWidget _widget

### _underlyingTable

    protected ScatterboxTable _underlyingTable

### _flavor

    protected DataFlavor _flavor

### _entryCls

    protected Cls _entryCls

### _queryUtilsObject

    protected KBQueryUtils _queryUtilsObject

Constructor Detail

### ScatterboxDNDObject

    public ScatterboxDNDObject(ScatterboxWidget widget,
                               ScatterboxTable underlyingTable,
                               KBQueryUtils queryUtilsObject)

Method Detail

### getTableLocationForEvent

    protected Point getTableLocationForEvent(DragGestureEvent dragGestureEvent)

### putEntryAtPoint

    protected void putEntryAtPoint(Instance entry,
                                   Point tableLocation)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request